Subject: Re: display bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jul 2013 20:04:48 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 09 Jul 2013 12:39:17 +0200
> 
> >> -misc-fixed-bold-r-normal--15-120-100-100-c-90-iso8859-1
> >> -misc-fixed-bold-r-normal--15-140-75-75-c-90-iso8859-1
> 
> > But if we continue your line of investigation: does removing one of
> > these fonts solve the problem with the original ~/.emacs?
> 
> It happens for both fonts. I've tested 
> 
> (add-to-list 'default-frame-alist
>              '(font . "-misc-fixed-bold-r-normal--15-120-100-100-c-90-iso8859-1"))
> 
> and
> 
> (add-to-list 'default-frame-alist
>              '(font . "-misc-fixed-bold-r-normal--15-140-75-75-c-90-iso8859-1"))
> 
> Anyway, here is a recipe for reproduction:
> 
> 1. C-x C-f "a larger file, with a no space in last line, first col"
> 2. M->
> 3. C-p
> 4. Use mouse wheel to scroll buffer up
> 
> It doesn't happen always, but often. Depends on redisplay calls, I
> suspect. See enclosures, which show a superfluous "(".

I tried to reproduce this, including installing and using a misc-fixed
font, but couldn't see any such artifacts left after scroll.

Do you see the problem with these fonts on a different system?

Does anyone else see this?